OceanBase
English日本語简体中文
Docs Home
Products
Integrations
Release Notes

Databases

OceanBase DatabaseOceanBase Cloud OceanBase Best Practices

Tools

OceanBase Cloud PlatformOceanBase Migration ServiceOceanBase Developer CenterOceanBase Migration AssessmentOceanBase Admin ToolOceanBase Loader and DumperOceanBase DeployerKubernetes operator for OceanBaseOceanBase Diagnostic Tool OceanBase Binlog Service

Connectors and Middleware

OceanBase Database Proxy OceanBase Connector/C OceanBase Connector/J OceanBase Connector/ODBC OceanBase Connector/NETOceanBase Command-Line Client

Databases

OceanBase DatabaseOceanBase Cloud OceanBase Best Practices

Connectors and Middleware

OceanBase Database Proxy OceanBase Connector/C OceanBase Connector/J OceanBase Connector/ODBC OceanBase Connector/NETOceanBase Command-Line Client

Tools

OceanBase Cloud PlatformOceanBase Migration ServiceOceanBase Developer CenterOceanBase Migration AssessmentOceanBase Admin ToolOceanBase Loader and DumperOceanBase DeployerKubernetes operator for OceanBaseOceanBase Diagnostic Tool OceanBase Binlog Service
OceanBase DatabaseOceanBase Cloud ToolsConnectors and MiddlewareLifecycle Support Policy

OceanBase Migration Service

V4.2.5Enterprise Edition
  • OMS Documentation
  • OMS Introduction
    • What is OMS?
    • Terms
    • OMS HA
    • Principles of Store
    • Principles of Full-Import and Incr-Sync
    • Data verification principles
    • Architecture
      • Overview
      • Hierarchical functional system
      • Basic components
    • OMS Oracle full data migration design and impact
    • Limitations
  • Quick Start
    • Data migration process
    • Data synchronization process
  • Deploy OMS
    • Deployment types
    • System and network requirements
    • Memory and disk requirements
    • Environment preparations
    • Deploy OMS on a single node
    • Deploy OMS on multiple nodes in a single region
    • Deploy OMS on multiple nodes in multiple regions
    • Scale out
    • Check the deployment
    • Deploy a time-series database (Optional)
  • OMS console
    • Log in to the OMS console
    • Overview
    • User center
      • Configure user information
      • Change your login password
      • Log out
  • Data migration
    • Overview
    • Migrate data from a MySQL database to a MySQL-compatible tenant of OceanBase Database
    • Migrate data from a MySQL-compatible tenant of OceanBase Database to a MySQL database
    • Migrate data from an Oracle database to a MySQL-compatible tenant of OceanBase Database
    • Migrate data from an Oracle-compatible tenant of OceanBase Database to an Oracle database
    • Migrate data from an Oracle database to an Oracle-compatible tenant of OceanBase Database
    • Migrate data from a DB2 LUW database to an Oracle-compatible tenant of OceanBase Database
    • Migrate data from an Oracle-compatible tenant of OceanBase Database to a DB2 LUW database
    • Migrate data from a DB2 LUW database to a MySQL-compatible tenant of OceanBase Database
    • Migrate data from a MySQL-compatible tenant of OceanBase Database to a DB2 LUW database
    • Migrate data within OceanBase Database
    • Create an active-active disaster recovery task in OceanBase Database
    • Migrate data from a TiDB database to a MySQL-compatible tenant of OceanBase Database
    • Migrate data from a PostgreSQL database to a MySQL-compatible tenant of OceanBase Database
    • Migrate data from a PolarDB-X 1.0 database to a MySQL-compatible tenant of OceanBase Database
    • Migrate incremental data from an Oracle-compatible tenant of OceanBase Database to a MySQL database
    • Manage data migration tasks
      • View details of a data migration task
      • Rename a data migration task
      • View and modify migration objects
      • Use tags to Manage data migration tasks
      • Perform batch operations on data migration tasks
      • Download and import settings of migration objects
      • View and modify the parameter configurations of a data migration task
      • Start and pause a data migration task
      • End and delete a data migration task
    • Supported DDL operations and limits for synchronization
      • Synchronize DDL operations from a MySQL database to a MySQL-compatible tenant of OceanBase Database
        • Overview
        • CREATE TABLE
          • Create a table
          • Create a column
          • Create an index or a constraint
          • Create partitions
        • Data type conversion
        • ALTER TABLE
          • Modify a table
          • Operations on columns
          • Operations on constraints and indexes
          • Operations on partitions
        • TRUNCATE TABLE
        • RENAME TABLE
        • DROP TABLE
        • CREATE INDEX
        • DROP INDEX
        • DDL incompatibilities between a MySQL database and a MySQL-compatible tenant of OceanBase Database
          • Overview
          • Incompatibilities of the CREATE TABLE statement
            • Incompatibilities of CREATE TABLE
            • Column types that are supported to create indexes or constraints
          • Incompatibilities of the ALTER TABLE statement
            • Incompatibilities of ALTER TABLE
            • Change the type of a constrained column
            • Change the type of an unconstrained column
            • Change the length of a constrained column
            • Change the length of an unconstrained column
            • Delete a constrained column
          • Incompatibilities of DROP INDEX operations
      • Synchronize DDL operations from a MySQL-compatible tenant of OceanBase Database to a MySQL database
      • DDL operations for synchronizing data from an Oracle database to an Oracle-compatible tenant of OceanBase Database
        • Overview of DDL synchronization from Oracle to OceanBase Database Oracle compatible mode
        • CREATE TABLE
          • Overview
          • Create a relational table
            • Create a relational table
            • Define columns of a relational table
          • Virtual columns
          • Regular columns
          • Create partitions
            • Overview
            • Partitioning
            • Subpartitioning
            • Composite partitioning
            • User-defined partitioning
            • Subpartition templates
          • Constraints
            • Overview
            • Inline constraints
            • Out-of-line constraints
        • CREATE INDEX
          • Overview
          • Normal indexes
        • ALTER TABLE
          • Modify tables
          • Modify, drop, and add table attributes
          • Column attribute management
            • Modify, drop, and add column attributes
            • Rename a column
            • Add columns and column attributes
            • Modify column attributes
            • Drop columns
          • Modify, drop, and add constraints
          • Partition management
            • Modify, drop, and add partitions
            • Drop a partition
            • Drop subpartitions
            • Add partitions and subpartitions
            • Modify partitions
            • Truncate partitions
        • DROP TABLE
        • RENAME OBJECT
        • TRUNCATE TABLE
        • DROP INDEX
        • DDL incompatibilities between an Oracle database and an Oracle-compatible tenant of OceanBase Database
          • Overview
          • Incompatibilities of CREATE TABLE
          • Incompatibilities in table modification operations
            • Incompatibilities of ALTER TABLE
            • Change the type of a constrained column
            • Change the type of an unconstrained column
            • Change the length of a constrained column
            • Change the length of an unconstrained column
      • Synchronize DDL operations from the Oracle compatible mode of OceanBase Database to an Oracle database
      • Synchronize DDL operations from a DB2 LUW database to an Oracle-compatible tenant of OceanBase Database
      • Synchronize DDL operations from the Oracle compatible mode of OceanBase Database to a DB2 LUW database
      • Synchronize DDL operations from a DB2 LUW database to a MySQL-compatible tenant of OceanBase Database
      • Synchronize DDL operations from a MySQL-compatible tenant of OceanBase Database to a DB2 LUW database
      • DDL synchronization between MySQL-compatible tenants of OceanBase Database
      • DDL synchronization between Oracle-compatible tenants of OceanBase Database
  • Data synchronization
    • Overview
    • Synchronize data from OceanBase Database to a Kafka instance
    • Synchronize data from OceanBase Database to a RocketMQ instance
    • Synchronize data from OceanBase Database to a DataHub instance
    • Synchronize data from an ODP logical table to a physical table in a MySQL-compatible tenant of OceanBase Database
    • Synchronize data from an ODP logical table to a DataHub instance
    • Synchronize data from an IDB logical table to a MySQL-compatible tenant of OceanBase Database
    • Synchronize data from an IDB logical table to a DataHub instance
    • Synchronize data from a MySQL database to a DataHub instance
    • Synchronize data from an Oracle database to a DataHub instance
    • Manage data synchronization tasks
      • View details of a data synchronization task
      • Change the name of a data synchronization task
      • View and modify synchronization objects
      • Use tags to Manage data synchronization tasks
      • Perform batch operations on data synchronization tasks
      • Download and import the settings of synchronization objects
      • View and modify the parameter configurations of a data synchronization task
      • Start and pause a data synchronization task
      • End and delete a data synchronization task
  • Create and manage data sources
    • Create data sources
      • Create an OceanBase data source
        • Create a physical OceanBase data source
        • Create an ODP data source
        • Create an IDB data source
        • Create a public cloud OceanBase data source
        • Create a standalone OceanBase data source
      • Create a MySQL data source
      • Create an Oracle data source
      • Create a TiDB data source
      • Create a Kafka data source
      • Create a RocketMQ data source
      • Create a DataHub data source
      • Create a DB2 LUW data source
      • Create a PostgreSQL data source
      • Create a PolarDB-X 1.0 data source
    • Manage data sources
      • View data source information
      • Copy a data source
      • Edit a data source
      • Delete a data source
    • Create a database user
    • User privileges
    • Enable binlogs for the MySQL database
    • Minimum privileges required when an Oracle database serves as the source
  • OPS & Monitoring
    • O&M overview
    • Go to the overview page
    • Server
      • View server information
      • Update the quota
      • View server logs
    • Components
      • Store
        • Create a store
        • View details of a store
        • Update the configurations of a store
        • Start and pause a store
        • Delete a store
      • Incr-Sync
        • View details of an Incr-Sync component
        • Start and pause an Incr-Sync component
        • Migrate an Incr-Sync component
        • Update the configurations of an Incr-Sync component
        • Batch O&M
        • Delete an Incr-Sync component
      • Full-Import
        • View details of a Full-Import component
        • Pause a Full-Import component
        • Rerun and resume a Full-Import component
        • Update the configurations of a Full-Import component
        • Delete a Full-Import component
      • Full-Verification
        • View details of a Full-Verification component
        • Pause a Full-Verification component
        • Rerun and resume a Full-Verification component
        • Update the configurations of a Full-Verification component
        • Delete a Full-Verification component
    • O&M Task
      • View O&M tasks
      • Skip a task or subtask
      • Retry a task or subtask
    • Parameter Template
      • Overview
      • Task Template
        • Create a task template
        • View and edit task templates
        • Copy and export a task template
        • Delete a task template
      • Component Template
        • Create a component template
        • View and edit component templates
        • Copy and export a component template
        • Delete a component template
      • Component parameters
        • Store parameters
        • Incr-Sync parameters
        • Full-Import Parameters
        • Full-Verification parameters
        • CM parameters
        • Supervisor parameters
  • System management
    • Permission Management
      • Overview
      • Manage users
      • Manage departments
    • Alert center
      • View task alerts
      • View system alerts
      • Manage alert settings
    • Associate with OCP
    • System parameters
      • Modify system parameters
      • Modify HA configurations
      • oblogproxy parameters
    • Manage access keys
    • Operation audit
  • Troubleshooting Guide
    • Manage OMS services
    • OMS logs
    • Component O&M
      • O&M operations for the Supervisor component
      • CLI-based O&M for the Connector component
      • O&M operations for the Store component
    • Component tuning
      • Incr-Sync/Full-Import tuning
      • Oracle store tuning
    • Set throttling
    • Store performance diagnostics
  • Reference Guide
    • Features
      • Configure DDL/DML synchronization
      • Supported DDL operations for synchronization
      • Rename a migration or synchronization object
      • Use SQL conditions to filter data
      • Set an incremental synchronization timestamp
      • Configure matching rules
      • Wildcard patterns supported for matching rules
      • Hidden column mechanisms
      • Instructions on schema migration
      • Create and update a heartbeat table
      • Change the topic
      • Column filtering
      • Data formats
    • API Reference
      • Overview
      • CreateProject
      • StartProject
      • StopProject
      • ResumeProject
      • ReleaseProject
      • DeleteProject
      • ListProjects
      • DescribeProject
      • DescribeProjectSteps
      • DescribeProjectStepMetric
      • DescribeProjectProgress
      • DescribeProjectComponents
      • ListProjectFullVerifyResult
      • StartProjectsByLabel
      • StopProjectsByLabel
      • CreateMysqlDataSource
      • CreateOceanBaseDataSource
      • CreateOceanBaseODPDataSource
      • CreatePolarDBDataSource
      • ListDataSource
      • CreateLabel
      • ListAllLabels
      • DeleteDataSource
      • CreateProjectModifyRecords
      • ListProjectModifyRecords
      • StopProjectModifyRecords
      • RetryProjectModifyRecords
      • CancelProjectModifyRecord
      • SubmitPreCheck
      • GetPreCheckResult
      • UpdateProjectConfig
    • Alert Reference
      • oms_host_down
      • oms_host_down_migrate_resource
      • oms_host_threshold
      • oms_migration_failed
      • oms_migration_delay
      • oms_sync_failed
      • oms_sync_status_inconsistent
      • oms_sync_delay
    • SSO
      • Integrate the OIDC protocol to OMS to implement SSO
      • Integrate the SAML 2.0 protocol to OMS to implement SSO
    • OMS error codes
    • SQL statements for querying database objects
    • Create a trigger
    • Change the log level for a PostgreSQL instance
    • Online DDL tools
    • Supplemental logging in Oracle Database
  • Upgrade Guide
    • Overview
    • Upgrade OMS in single-node deployment mode
    • Upgrade OMS in multi-node deployment mode
    • FAQ
  • FAQ
    • General O&M
      • How do I modify the resource quotas of an OMS container?
      • How do I troubleshoot the OMS server down issue?
      • Deploy InfluxDB for OMS
      • Increase the disk space of the OMS host
    • Task diagnostics
      • How do I troubleshoot common problems with Oracle Store?
      • How do I perform performance tuning for Oracle Store?
      • What do I do when Oracle Store reports an error at the isUpdatePK stack?
      • What do I do when a store does not have data of the timestamp requested by the downstream?
      • What do I do when OceanBase Store failed to access an OceanBase cluster through RPC?
      • How do I use LogMiner to pull data from an Oracle database?
    • OPS & monitoring
      • What are the alert rules?
    • Data synchronization
      • FAQ about synchronization to a message queue
        • What are the strategies for ensuring the message order in incremental data synchronization to Kafka
    • Data migration
      • User privileges
        • What privileges do I need to grant to a user during data migration to or from an Oracle database?
      • Full migration
        • How do I query the ID of a checker?
        • How do I query log files of the Checker component of OMS?
        • How do I query the verification result files of the Checker component of OMS?
        • What do I do if the destination table does not exist?
        • What can I do when the full migration failed due to LOB fields?
        • What do I do if garbled characters cannot be written into OceanBase Database V3.1.2?
      • Incremental synchronization
        • How do I skip DDL statements?
        • How do I migrate an Oracle database object whose name exceeds 30 bytes in length?
        • How do I update whitelists and blacklists?
        • What are the application scope and limits of ETL?
    • Installation and deployment
      • How do I upgrade Store?
  • Release Note
    • V4.2
      • OMS V4.2.5
      • OMS V4.2.4
      • OMS V4.2.3
      • OMS V4.2.2
      • OMS V4.2.1
      • OMS V4.2.0
    • V4.1
      • OMS V4.1.0
    • V4.0
      • OMS V4.0.2
      • OMS V4.0.1
    • V3.4
      • OMS V3.4.0
    • V3.3
      • OMS V3.3.1
      • OMS V3.3.0
    • V3.2
      • OMS V3.2.2
      • OMS V3.2.1
    • V3.1
      • OMS V3.1.0
    • V2.1
      • OMS V2.1.2
      • OMS V2.1.0

Download PDF

Document Feedback
  1. Documentation Center
  2. OceanBase Migration Service
  3. V4.2.5

DescribeProject

Last Updated:2026-09-04 08:13:48

Purpose
Call description
Limitations
Request path
Request parameters
Response parameters
Examples
Sample request
Sample response
Appendix
Kafka
DataHub
RocketMQ
OceanBase
TiDB

This topic describes the DescribeProject operation provided by OceanBase Migration Service (OMS).

Purpose

You can call this operation to query details of a data migration or synchronization task.

Call description

Limitations

This operation is supported in OMS V4.1.0 and later.

Request path

POST /api/v2?Action=DescribeProject

Request parameters

Parameter
Type
Description
id string The ID of the data migration or synchronization task.

Response parameters

Parameter
Type
Description
success boolean Indicates whether the call is successful.
errorDetail object The error details.
code string The error code.
message string The error description.
advice string The suggestions.
requestId string The ID of the request.
pageNumber integer The number of the page returned, which takes effect in a pagination query.
pageSize integer The number of entries returned on each page, which takes effect in a pagination query.
totalCount integer The total number of pages returned, which takes effect in a pagination query.
cost string The time spent in processing the request, in seconds.
data string The information about the task. For more information, see the Parameters in data section.
  • Parameters in data

    Parameter
    Type
    Description
    id string The ID of the task.
    type string The type of the task. Valid values: MIGRATION and SYNC.
    name string The name of the task, which cannot contain spaces.
    labels object [] The tags.
    ├─ id string The ID of the tag.
    ├─ name string The name of the tag.
    owner string The owner of the task.
    importance string The alert level of the task. Valid values: HIGH, MEDIUM, LOW, and IGNORE.
    status string The status of the task.
    gmtCreate string The time when the task was created, in the UTC+0 time zone.
    gmtModified string The time when the task was updated, in the UTC+0 time zone.
    gmtStart string The start time of the task.
    gmtFinish string The end time of the task.
    destConnId string The connection ID of the task.
    isMerging boolean Indicates whether the task is in the progress of a major compaction.
    isModifying boolean Indicates whether the task is being modified.
    isSubProject boolean Indicates whether the task is a subtask.
    sourceEndpointType string The type of the source data source.
    sinkEndpointType string The type of the target data source.
    transferMapping object The mapping information about the objects to be transferred.
    ├─ mode string The mapping mode for the objects to be transferred. Valid values: SPECIFIC and WILDCARD, which indicate specifying specific objects and matching objects by using a rule, respectively.
    ├─ databases object [] The list of database objects. For more information, see the Parameters in databases/databasesBlack section.
    ├─ databasesBlack object [] The blocklist of database objects used for the WILDCARD mode. For more information, see the Parameters in databases/databasesBlack section.
    ├─ tableAndViewWhiteList array The wildcard-based allowlist of tables and views used for the WILDCARD mode.
    ├─ tableAndViewBlackList array The wildcard-based blocklist of tables and views used for the WILDCARD mode.
    commonTransferConfig object The common settings for transfer.
    ├─ tableCategory string The type of tables to be transferred. Valid values: ALL (all tables), WITH_UNIQUE_ROW_ID (tables with a unique row ID), and WITHOUT_UNIQUE_ROW_ID (tables without a unique row ID). Default value: ALL.
    ├─ activeActive boolean Indicates whether active-active disaster recovery is enabled.
    ├─ mqSerializerType string The JSON data serialization type for delivering data to message queues. Valid values: DEFAULT, CANAL, DATAWORKS_V2, SHAREPLEX, DEFAULT_WITH_SCHEMA, DEBEZIUM, DEBEZIUMFLATTEN, and DEBEZIUMSMT.
    ├─ mqPartitionMode string The partition routing mode for delivering data to message queues. Valid values: ONE, HASH, and TABLE. ONE specifies to deliver data to a specified partition. HASH specifies to deliver data to HASH partitions based on the primary key column or sharding columns. TABLE specifies to deliver data to HASH partitions based on database and table names.
    ├─ mqPartition integer When the value of the partitionMode parameter is ONE, this parameter indicates the location of the partition to which data is delivered in the current topic.
    ├─ datahubTopicType string The type of the topic for delivering data to DataHub. Valid values: TUPLE and BLOB.
    ├─ rocketMqProducerGroup String The name of the producer group. This parameter takes effect only when the type of the target data source is RocketMQ. Default value: OMS.
    ├─ rocketMqMsgTags string The tag of the message. This parameter takes effect when the type of the target data source is RocketMQ. For example, when the value is default, the _tag suffix is added to the value by default.
    ├─ rocketMqEnableMsgTrace boolean Indicates whether message tracing is enabled. This parameter takes effect when the type of the target data source is RocketMQ.
    ├─ rocketMqSendMsgTimeout long The message delivery timeout period. This parameter takes effect when the type of the target data source is RocketMQ.
    ├─ dataWorksBusinessName string The ID of the business system. #### This parameter is required only when the serialization type is DataWorks. The value must be 1 to 20 characters in length.
    ├─ sinkStoreFormat string The storage type for target table objects. Valid values: Default, Row storage, Column storage, and Hybrid columnar storage.
    This parameter takes effect if the target is OceanBase Database V4.3.0 or later and you have selected Schema Migration or DDL synchronization for Incremental Synchronization when you specify the migration types.
    ├─ sourceStoreFormat string The storage type for source table objects. Valid values: Default, Row storage, Column storage, and Hybrid columnar storage.
    This parameter takes effect if the source is OceanBase Database V4.3.0 or later and you have selected DDL synchronization for Reverse Increment when you specify the migration types.
    enableStructTransfer boolean Indicates whether schema transfer is allowed.
    structTransferConfig object The settings for schema transfer.
    ├─ byteCharConvertStrategy string The BYTE/CHAR conversion scheme. Valid values: IGNORE_BYTE_IF_BYTE_USED, FORCE_CHAR_IF_BYTE_USED, EXPAND_LEN_IF_BYTE_USED, and DO_NOTHING_IF_BYTE_USED. Default value: DO_NOTHING_IF_BYTE_USED.
    ├─ deferIndexCreation boolean Indicates whether post-indexing is allowed. The default value is false.
    enableFullTransfer boolean Indicates whether full transfer is enabled.
    enableFullVerify boolean Indicates whether full verification is enabled.
    fullTransferConfig object The settings for full transfer.
    ├─ nonePkUkTruncateDstTable boolean Indicates whether the target table is cleared during full migration from a table without a unique index.
    ├─ allowDestTableNotEmpty boolean The processing strategy to apply when the target table has records. Valid values: true and false. Setting this parameter to true or false is equivalent to selecting Ignore or Stop Migration for Handle Non-empty Tables in Target Database in the OMS console, respectively.
    • If you set the value to true, OMS ignores the existing data in the target table when writing data to the table. In other words, if a unique key conflict error is returned when data is synchronized from the source table to the target table, OMS will ignore the data in the source table and reserve the data in the target table.

      Notice

      If you set the value to true, data is pulled in IN mode for full verification. In this case, the scenario where the target table contains more data than the source table cannot be verified, and the verification efficiency will be decreased.

    • The value false specifies to stop migration. If the target table has records, an error is returned during full migration. In this case, clear the existing data in the target table and try again.

      Notice

      After an error is returned, if you click Resume in the dialog box, OMS ignores this error and continues to migrate data. Proceed with caution.

    ├─ fullTransferSpeedMode string The concurrency for full migration. Valid values: STEADY, NORMAL, and FAST.
    ├─ fullVerifySpeedMode string The concurrency for full verification. Valid values: STEADY, NORMAL, and FAST.
    ├─ throttleRps integer Maximum transfer rate achievable during the full transfer phase, in records/second. Input null means no RPS limit.
    ├─ throttleIOPS integer Maximum transmission traffic that can be achieved during the full transfer phase, in bytes per second. When input is null, it indicates no IOPS limit.
    enableIncrTransfer boolean Indicates whether incremental synchronization is enabled.
    enableIncrVerify boolean Indicates whether incremental verification is enabled.
    enableReverseIncrTransfer boolean Indicates whether reverse increment is enabled.
    incrTransferConfig object The settings for incremental synchronization.
    ├─ startTimestamp string The start timestamp for incremental synchronization. This parameter is available only when incremental synchronization is enabled and full transfer is disabled.
    ├─ recordTypeWhiteList array The data types of incremental data synchronized in incremental synchronization.
    ├─ storeLogKeptHour integer The retention period of logs when incremental synchronization is enabled and the Store component is used to pull incremental logs. Unit: hours. The default retention period is seven days. The maximum retention period is 365 days.
    ├─ enableSequencingWithinTxn boolean Indicates whether intra-transaction sequencing is enabled when incremental synchronization is enabled and the Store component is used to pull incremental logs.
    ├─ incrSyncConcurrency integer The number of threads for incremental synchronization. Default value: 64.
    ├─ enableIncrSyncStatistics boolean Indicates whether statistics collection is enabled for incremental DML and DDL operation records.
    ├─ incrOnlineDdlConfig array The online DDL tool. Valid values: GH_OST, PT_OSC, and ALIYUN_DMS, representing the tools gh-ost, pt-osc, and Alibaba Cloud Data Management Service (DMS), respectively.
    • If this parameter is specified for forward incremental synchronization, it takes effect on forward incremental synchronization from a MySQL database to a MySQL-compatible tenant of OceanBase Database.
    • If this parameter is specified for reverse increment, it takes effect on reverse increment from a MySQL-compatible tenant of OceanBase Database to a MySQL database.
    ├─ incrLogPullSpeedMode string Incremental log pull speed, with optional values including STEADY (small), NORMAL (medium), FAST (large), and CUSTOM (custom).
    ├─ incrLogPullSpeedConfig object Incremental log pull resource configuration, effective only when incrLogPullSpeedMode is set to CUSTOM.
    ├─├─ memory integer Memory limit for incremental log pulling.
    ├─ incrSyncConcurrency integer The number of threads for incremental synchronization. Default value: 64.
    ├─ enableIncrSyncStatistics boolean Indicates whether statistics collection is enabled for incremental DML and DDL operation records.
    ├─ incrOnlineDdlConfig array The online DDL tool. Valid values: GH_OST, PT_OSC, and ALIYUN_DMS, representing the tools gh-ost, pt-osc, and Alibaba Cloud Data Management Service (DMS), respectively.
    • If this parameter is specified for forward incremental synchronization, it takes effect on forward incremental synchronization from a MySQL database to a MySQL-compatible tenant of OceanBase Database.
    • If this parameter is specified for reverse increment, it takes effect on reverse increment from a MySQL-compatible tenant of OceanBase Database to a MySQL database.
    ├─ incrLogPullSpeedMode string The incremental log pulling speed. Valid values: STEADY (low), NORMAL (medium), FAST (high), and CUSTOM (custom).
    ├─ incrLogPullSpeedConfig object The incremental log pulling resource configuration. This parameter only takes effect when incrLogPullSpeedMode is set to CUSTOM.
    ├─├─ memory integer The memory limit for incremental log pulling.
    ├─ incrLogSyncSpeedMode string The incremental data writing speed. Valid values: STEADY (low), NORMAL (medium), FAST (high), and CUSTOM (custom).
    ├─ incrLogSyncSpeedConfig object The incremental data writing resource configuration. This parameter only takes effect when incrLogSyncSpeedMode is set to CUSTOM.
    ├─├─ memory integer The memory limit for incremental log writing.
    ├─├─ writerWorkerNum integer The number of incremental log writing threads.
    ├─ throttleRps integer The maximum transmission rate allowed in the incremental synchronization phase, in terms of records per second. Input null to indicate no limit on RPS.
    ├─ throttleIOPS integer The maximum transmission volume allowed in the incremental synchronization phase, in terms of bytes per second. Input null to indicate no limit on IOPS.
    ├─ supportDDLTypes array The supported DDL operations.
    • CREATE_TABLE
    • ALTER_TABLE
    • DROP_TABLE
    • RENAME_TABLE
    • TRUNCATE_TABLE
    • CREATE_INDEX
    • DROP_INDEX
    reverseIncrTransferConfig object The configuration for reverse incremental synchronization.
    ├─ startTimestamp string The starting timestamp for reverse incremental synchronization. This parameter can be set only when incremental synchronization is enabled but full data migration is not.
    ├─ recordTypeWhiteList array The types of incremental data to be synchronized in the reverse incremental synchronization phase. Valid values: HEARTBEAT, INSERT, UPDATE, DELETE, BEGIN, COMMIT, ROLLBACK, DDL, and ROW.
    ├─ storeLogKeptHour integer The log retention period in hours when the incremental log pulling component is Store and reverse incremental synchronization is enabled. The default value is 7, indicating one week, and the maximum value is 365, indicating one year.
    ├─ enableSequencingWithinTxn boolean Specifies whether to enable sequence number arrangement within a transaction when the incremental log pulling component is Store and reverse incremental synchronization is enabled.
    ├─ enableIncrSyncStatistics boolean Whether to enable statistics collection for reverse incremental records (DML and DDL).
    ├─ incrOnlineDdlConfig array The online DDL tool. Valid values: GH_OST, PT_OSC, and ALIYUN_DMS, representing the tools gh-ost, pt-osc, and Alibaba Cloud DMS, respectively.
    • If this parameter is specified for forward incremental synchronization, it takes effect on forward incremental synchronization from a MySQL database to a MySQL-compatible tenant of OceanBase Database.
    • If this parameter is specified for reverse increment, it takes effect on reverse increment from a MySQL-compatible tenant of OceanBase Database to a MySQL database.
    ├─ incrSyncConcurrency integer The number of threads for reverse incremental synchronization. Default value: 64.
    ├─ incrLogPullSpeedMode string The reverse incremental log pulling speed. Valid values: STEADY (low), NORMAL (medium), FAST (high), and CUSTOM (custom).
    ├─ incrLogPullSpeedConfig object The reverse incremental log pulling resource configuration. This parameter only takes effect when incrLogPullSpeedMode is set to CUSTOM.
    ├─├─ memory integer The memory limit for reverse incremental log pulling.
    ├─ incrLogSyncSpeedMode string The reverse incremental data writing speed. Valid values: STEADY (low), NORMAL (medium), FAST (high), and CUSTOM (custom).
    sourceConnectInfo object The connection information of the source data source.
    ├─ id string The ID of the connection.
    ├─ endpointName string The name of the endpoint.
    ├─ endpointId string The ID of the endpoint.
    ├─ endpointSide string The type of the endpoint. Valid values: source and dest.
    ├─ dbEngine string The database engine of the endpoint.
    ├─ connectionInfo string The connection information of the endpoint.
    ├─ username string The username used to connect to the database.
    ├─ version string The version of the database.
    ├─ timezone string The time zone of the database.
    ├─ charset string The character set.
    ├─ nlsLengthSemantics string This attribute is available only when the data source is an Oracle database or an Oracle-compatible tenant of OceanBase Database.
    ├─ operatingSystem string The operating system. This parameter is unavailable for OceanBase Database.
    ├─ region string The region.
    ├─ ocpName string The name of the OceanBase Cloud Platform (OCP) instance.
    ├─ connExtraAttributes object The additional attributes of the connection. For more information about the nested response parameters, see Appendix.
    ├─ owner string The owner.
    ├─ host string The IP address.
    ├─ port integer The port number.
    sinkConnectInfo object The connection information of the target data source.
    ├─ id string The ID of the connection.
    ├─ endpointName string The name of the endpoint.
    ├─ endpointId string The ID of the endpoint.
    ├─ endpointSide string The type of the endpoint. Valid values: source and dest.
    ├─ dbEngine string The database engine of the endpoint.
    ├─ connectionInfo string The connection information of the endpoint.
    ├─ username string The username used to connect to the database.
    ├─ version string The version of the database.
    ├─ timezone string The time zone of the database.
    ├─ charset string The character set.
    ├─ nlsLengthSemantics string This attribute is available only when the data source is an Oracle database or an Oracle-compatible tenant of OceanBase Database.
    ├─ operatingSystem string The operating system. This parameter is unavailable for OceanBase Database.
    ├─ region string The region.
    ├─ ocpName string The name of the OCP instance.
    ├─ connExtraAttributes object The additional attributes of the connection. For more information about the nested response parameters, see Appendix.
    ├─ owner string The owner.
    ├─ host string The IP address.
    ├─ port integer The port number.
    steps object [] The steps.
    ├─ order integer The sequence number of the step.
    ├─ name string The name of the step.
    ├─ description string The description of the step.
    ├─ status string The status of the step.
    ├─ extraInfo object The additional information. For more information, see the Parameters in extraInfo section.
    ├─ startTime string The start time of the step, in the UTC+0 time zone.
    ├─ finishTime string The end time of the step, in the UTC+0 time zone.
    ├─ progress integer The progress of the step.
    ├─ stepInfo object The details of the step. For more information, see the Parameters in stepInfo section.
    extraInfo object The error messages and other additional information.
    ├─ runningStep string The step in the Running state.
    ├─ runningProgress integer The progress of the step in the Running state.
    ├─ monitoringIncr boolean Indicates whether incremental data monitoring is started.
    ├─ subtopics string The subtopics of the store associated with the task.
    ├─ reverseSubtopics string The subtopics of the reverse store associated with the task.
    ├─ logServiceStartCheckpoint integer The start timestamp.
    ├─ sourceStoreKeptHour integer The retention period of logs.
    ├─ syncDelay integer The delay of incremental synchronization.
    ├─ syncDelaySampleTimestamp integer The timestamp when the synchronization delay is collected, in seconds.
    ├─ accessObSource boolean Indicates whether to allow direct connection to the source OceanBase database.
    ├─ overwriteConfig boolean Indicates whether the overwriting of all new configurations is allowed.
    ├─ ignoreUnsupportDdl boolean Indicates whether unsupported DDL statements are ignored.
    ├─ subDbs map The table configurations of different downstream consumers. This parameter is used for combining configurations when the data synchronization task is reused.
    ├─ subConds map The configuration objects.
    ├─ subIds map The IDs of the configuration objects.
    ├─ maxConnectorCount integer The maximum number of connectors. The value -1 indicates that the number of connectors is not limited.
    ├─ storeIncr boolean Indicates whether incremental data is saved.
    ├─ incrSyncTimestamp integer The current timestamp for incremental synchronization, in seconds.
    alarmStats object The alert statistics.
    ├─ target string The object for which the alert is generated.
    ├─ alarming boolean Indicates whether alerts exist in the system.
    ├─ recentlyTriggerCount integer The total number of recent alert messages.
    ├─ ruleToRecentlyTriggerCount map The number of recent alert messages by rule.
    ├─ alarmContent string The content of recent alert messages.
  • Parameters in databases/databasesBlack

    Parameter
    Type
    Description
    mappedName string The name of the target database.
    name string The name of the source database.
    id string The ID of the database.
    tables array A configuration list of transfer table objects in the current database. When Mode is WILDCARD, this parameter represents the specific blacklist or whitelist configuration, shared by both tables and views.
    ├─ mappedName string The mapped-to table name.
    ├─ name string The name of the table.
    ├─ id string The ID of the table.
    ├─ whereClause string The WHERE clause in the standard SQL syntax that is used to configure row filtering.
    ├─ filterColumns array The filter columns.
    ├─ shardColumns array The sharding columns.
    ├─ columns For more information, see Parameters in columns.
    views array The settings for the view objects to be transferred in the current database.
    ├─ mappedName string The mapped-to view name.
    ├─ name string The name of the view.
    ├─ id string The ID of the view.
    ├─ whereClause string The WHERE clause in the standard SQL syntax that is used to configure row filtering.
    ├─ filterColumns array The filter columns.
    ├─ shardColumns array The sharding columns.
    ├─ columns object [] The columns to be transferred. For more information, see Parameters in columns.
    specificTables array The settings for the matched table objects. When the value of the mode parameter is WILDCARD, this parameter indicates the renaming and row filtering settings for the matched table objects.
    ├─ mappedName string The mapped-to table name.
    ├─ name string The name of the table.
    ├─ id string The ID of the table.
    ├─ whereClause string The WHERE clause in the standard SQL syntax that is used to configure row filtering.
    ├─ filterColumns array The filter columns.
    ├─ shardColumns array The sharding columns.
    ├─ columns object [] The columns to be transferred. For more information, see Parameters in columns.
    specificViews array The settings for the matched view objects. When the value of the mode parameter is WILDCARD, this parameter indicates the renaming settings for the matched view objects.
    ├─ mappedName string The mapped-to view name.
    ├─ name string The name of the view.
    ├─ id string The ID of the view.
    ├─ whereClause string The WHERE clause in the standard SQL syntax that is used to configure row filtering.
    ├─ filterColumns array The filter columns.
    ├─ shardColumns array The sharding columns.
    ├─ columns object [] The columns to be transferred. For more information, see Parameters in columns.
  • Parameters in columns

    Parameter
    Type
    Description
    columnName string The name of the column.
    mappedName string The mapped-to column name.
    position integer The position of the column.
    columnType string The type of the column.
    recordFieldType string The extension of the column type.
    rawColumnType string The original string of the column type recorded in the database.
    columnKey string The type of the index.
    nullable boolean Indicates whether null values are supported.
    defaultValue string The default value.
    dataLength integer The length of the column.
    dataPrecision integer The precision of the column.
    dataScale integer The number of decimal places.
    encoding string The character encoding format for the column.
    columnComment string The comment on the column.
    isGenerateField boolean Indicates whether the column is a hidden column.
  • Parameters in extraInfo

    Parameter
    Type
    Description
    errorDetails array The error details.
    errorCode string The error code.
    errorMsg string The error message.
    errorParam object The error-related parameters.
    failedTime string The time when the error occurred.
  • Parameters in stepInfo

    Different parameters are nested under stepInfo for different steps.

    • TRANSFER_APP_SWITCH (forward switchover)

      Parameter
      Type
      Description
      checkpointSampleTimestamp long The checkpoint collection timestamp. The value is a Unix timestamp in seconds.
    • INCR_TRANSFER (incremental synchronization)

      Parameter
      Type
      Description
      incrTimestampCheckpoint long The checkpoint timestamp. The value is a Unix timestamp in seconds.
      checkpointSampleTimestamp long The checkpoint collection timestamp. The value is a Unix timestamp in seconds.
      enableIncrStatistics Boolean Indicates whether DDL/DML statistics collection is enabled.
    • FULL_VERIFIER (full verification) and FULL_TRANSFER (full migration)

      Parameter
      Type
      Description
      processedRecords long The ratio of migrated rows to total rows.
      capacity long The estimated total number of rows.
      srcRps long The read requests per second (RPS) of the source data source.
      srcRt String The read response time (RT) per record of the source data source, in milliseconds.
      srcIops long The read throughput of the source data source, in bytes per second.
      dstRps long The read/write RPS of the target data source.
      dstRt long The read/write RT per record of the target data source, in milliseconds.
      dstIops long The read/write throughput of the target data source, in bytes per second.
      srcRpsRef long The read RPS baseline of the source data source.
      dstRpsRef long The read/write RPS baseline of the target data source.
      dstRtRef long The read/write RT baseline of the target data source.

Examples

Sample request

{
    "id":"np_4wh****"
}

Sample response

{
    "success":true,
    "errorDetail":null,
    "code":null,
    "message":null,
    "advice":null,
    "requestId":"a7b57****",
    "pageNumber":null,
    "pageSize":null,
    "totalCount":null,
    "cost":"27 ms",
    "data":[
        {
            "id":"np_4w****",
            "type":"MIGRATION",
            "name":"oms41_mig***",
            "labels":null,
            "owner":"oms_api_t***",
            "importance":"MEDIUM",
            "status":"RUNNING",
            "gmtCreate":"2023-07-13T03:59:15",
            "gmtModified":"2023-07-13T10:12:44",
            "gmtStart":"2023-07-13T06:47:35",
            "gmtFinish":null,
            "destConnId":null,
            "isMerging":false,
            "isModifying":false,
            "isSubProject":false,
            "sourceEndpointType":"DB2_LUW",
            "sinkEndpointType":"OB_MYSQL",
            "transferMapping":{
                "mode":"SPECIFIC",
                "databases":[
                    {
                        "mappedName":"tion12***20obmysql2",
                        "name":"GRATION129****",
                        "id":null,
                        "tables":[
                            {
                                "mappedName":"TEST_MA***",
                                "name":"TEST_M***",
                                "id":null,
                                "whereClause":null,
                                "filterColumns":null,
                                "shardColumns":null,
                                "columns":null
                            }
                        ],
                        "views":null,
                        "specificTables":null,
                        "specificViews":null
                    }
                ],
                "databasesBlack":null,
                "tableAndViewWhiteList":null,
                "tableAndViewBlackList":null
            },
            "commonTransferConfig":{
                "tableCategory":null,
                "activeActive":false,
                "mqSerializerType":null,
                "mqPartitionMode":null,
                "mqPartition":0,
                "datahubTopicType":null,
                "rocketMqProducerGroup":null,
                "rocketMqMsgTags":null,
                "rocketMqEnableMsgTrace":null,
                "rocketMqSendMsgTimeout":null,
                "dataWorksBusinessName":null
            },
            "enableStructTransfer":true,
            "structTransferConfig":{
                "byteCharConvertStrategy":"DO_NOTHING_IF_BYTE_USED",
                "deferIndexCreation":true
            },
            "enableFullTransfer":true,
            "enableFullVerify":true,
            "fullTransferConfig":{
                "nonePkUkTruncateDstTable":null,
                "allowDestTableNotEmpty":true,
                "fullTransferSpeedMode":"NORMAL",
                "fullVerifySpeedMode":"NORMAL"
            },
            "enableIncrTransfer":true,
            "enableIncrVerify":false,
            "enableReverseIncrTransfer":true,
            "incrTransferConfig":{
                "startTimestamp":1689201369,
                "recordTypeWhiteList":[
                    "INSERT",
                    "DELETE",
                    "UPDATE"
                ],
                "storeLogKeptHour":120,
                "enableSequencingWithinTxn":null,
                "incrSyncConcurrency":null,
                "enableIncrSyncStatistics":null,
                "incrLogPullSpeedMode":"NORMAL",
                "incrLogPullSpeedConfig":{
                    "memory":4
                    },
                "incrLogSyncSpeedMode":"CUSTOM",
                "incrLogSyncSpeedConfig":{
                    "memory":4,
                    "writerWorkerNum":2
                    },
                "throttleRps": 1000,
                "throttleIOPS": 1000,
                "incrOnlineDdlConfig":[
                  "GH_OST",
                  "PT_OSC",
                  "ALIYUN_DMS"
                  ]
            },
            "sourceConnectInfo":{
                "id":"c_4w1qs****",
                "endpointName":"GRATION12948*****",
                "endpointId":"e_4w1q****",
                "endpointSide":null,
                "dbEngine":"DB2_LUW_PUBLIC",
                "connectionInfo":null,
                "username":"db2i***",
                "version":"11.5.0.0",
                "timezone":"+08:00",
                "charset":"UTF8",
                "nlsLengthSemantics":null,
                "operatingSystem":"Linux",
                "region":"cn-anhui",
                "ocpName":"",
                "connExtraAttributes":null,
                "owner":"oms_api_t***",
                "host":"xxx.xxx.xxx.1",
                "port":"2883"
            },
            "sinkConnectInfo":{
                "id":"c_4w1qs***",
                "endpointName":"tion1294820obmysq****",
                "endpointId":"e_4w1qr2***",
                "endpointSide":null,
                "dbEngine":"OB_MYSQL_PUBLIC",
                "connectionInfo":null,
                "username":"oms2027obmysql@oms_***",
                "version":"2.2.77",
                "timezone":"+08:00",
                "charset":"utf8mb4",
                "nlsLengthSemantics":null,
                "operatingSystem":null,
                "region":"cn-anhui",
                "ocpName":"107",
                "connExtraAttributes":null,
                "owner":"oms_api_t***",
                "host":"xxx.xxx.xxx.4",
                "port":"2883"
            },
            "steps":[
                {
                    "order":1,
                    "name":"TRANSFER_PRECHECK",
                    "description":"Precheck",
                    "status":"FINISHED",
                    "extraInfo":{
                        "errorDetails":null,
                        "errorCode":null,
                        "errorMsg":null,
                        "errorParam":null,
                        "failedTime":null
                    },
                    "startTime":"2023-07-12T22:33:42",
                    "finishTime":"2023-07-12T22:33:48",
                    "progress":100,
                    "stepInfo":null
                },
                {
                    "order":2,
                    "name":"STRUCT_TRANSFER",
                    "description":"Schema migration",
                    "status":"FINISHED",
                    "extraInfo":{
                        "errorDetails":null,
                        "errorCode":null,
                        "errorMsg":null,
                        "errorParam":null,
                        "failedTime":"2023-07-12T22:35:48.881"
                    },
                    "startTime":"2023-07-12T22:35:24",
                    "finishTime":"2023-07-12T22:36:04",
                    "progress":100,
                    "stepInfo":null
                },
                {
                    "order":6,
                    "name":"INCR_TRANSFER",
                    "description":"Incremental synchronization",
                    "status":"MONITORING",
                    "extraInfo":{
                        "errorDetails":null,
                        "errorCode":null,
                        "errorMsg":null,
                        "errorParam":null,
                        "failedTime":null
                    },
                    "startTime":"2023-07-12T22:41:20",
                    "finishTime":"2023-07-12T22:46:57",
                    "progress":99,
                    "stepInfo":{
                        "incrTimestampCheckpoint":1689213946,
                        "checkpointSampleTimestamp":1689214358,
                        "enableIncrStatistics":true
                    }
                }
            ],
            "extraInfo":null,
            "alarmStats":{
                "target":"np_4w1q****",
                "alarming":false,
                "recentlyTriggerCount":null,
                "ruleToRecentlyTriggerCount":null,
                "alarmContent":null
            }
        }
    ]
}

Appendix

Kafka

{
    "connExtraAttributes":{
        "endpoint":"xxx.xxx.xxx.1:2883",
        "username":null,
        "enableSSL":null,
        "enableSASL":null,
        "saslMechanism":null,
        "disableIdentificationAlgorithm":false
    }
}
Parameter
Type
Description
endpoint string The service endpoint.
username string The username. This parameter is required when the authentication method is PLAIN, SCRAM-SHA-256, or SCRAM-SHA-512.
enableSSL boolean Indicates whether SSL authentication is enabled. If you want to enable SSL authentication, you must upload an SSL certificate.
enableSASL boolean Indicates whether SASL authentication is enabled.
saslMechanism KafkaSaslMechanisnEnum The encryption method. Valid values: PLAIN, SCRAM-SHA-256, SCRAM-SHA-512, and KERBEROS.
disableIdentificationAlgorithm boolean Indicates whether hostname verification is enabled during SSL encryption.

DataHub

{
    "connExtraAttributes":{
        "endpoint":"xxx.xxx.xxx.1:2883",
        "project":"detx***"
    }
}
Parameter
Type
Description
endpoint string The service endpoint.
project string The name of the task.

RocketMQ

{
    "connExtraAttributes":{
        "endpoint":"xxx.xxx.xxx.1:2883",
        "endpointType":null,
        "version":null
    }
}
Parameter
Type
Description
endpoint string The service endpoint.
endpointType CloudRocketMQEndpoint.Type The type of the service endpoint.
version CloudRocketMQInst.Version The version of RocketMQ.

OceanBase

{
    "connExtraAttributes":{
        "cluster":"xgez***",
        "tenant":"gexr**",
        "isLogicSource":false,
        "useLogProxy":true,
        "drcUser":"tes***",
        "configUrl":"http://xxx.xxx.xxx.1:2883/service****",
        "logProxyIp":"xxx.xxx.xxx.2",
        "logProxyPort":2883,
        "noUserAuth":false
    }
}
Parameter
Type
Description
cluster string The name of the cluster.
tenant string The name of the tenant.
isLogicSource boolean Indicates whether the data source is a logical data source.
useLogProxy boolean Indicates whether the oblogproxy service is used.
drcUser string The configuration of drc_user.
configUrl string The actual IP address of the server that runs the OceanBase database.
logProxyIp string The IP address of the oblogproxy service.
logProxyPort integer The port number of the oblogproxy service.
noUserAuth boolean When you synchronize data to DataWorks, OMS automatically generates a data source. The username and password are required for connecting to OceanBase Database.

TiDB

{
    "connExtraAttributes":{
        "kafkaId":"e_edz****",
        "kafkaTopic":"test**",
        "kafkaName":"denz***"
    }
}
Parameter
Type
Description
kafkaId string The ID of the bound Kafka data source.
kafkaTopic string The name of the bound Kafka topic.
kafkaName string The name of the bound Kafka data source.

Previous topic

ListProjects
Last

Next topic

DescribeProjectSteps
Next
on this page
Purpose
Call description
Limitations
Request path
Request parameters
Response parameters
Examples
Sample request
Sample response
Appendix
Kafka
DataHub
RocketMQ
OceanBase
TiDB